Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath10.o
Class OXPath10Expression

    java.lang.Object
      org.apache.ode.bpel.o.OBase
          org.apache.ode.bpel.o.OExpression
              org.apache.ode.bpel.o.OLValueExpression
                  org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OXPath10ExpressionBPEL20

    public class OXPath10Expression

extends OLValueExpression
implements java.io.Serializable

Jaxen-based compiled-xpath representation for XPATH 1.0 expression language.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OXPath10Expression.OSigGetVariableData` Data structure representing the compiled signature of a `bpws:getVariableData` invocation.

Field Summary
`java.util.HashMap<java.lang.String,OLink>` | `links`
`NSContext` | `namespaceCtx`
`java.util.HashMap<java.lang.String,OProcess.OProperty>` | `properties`
`javax.xml.namespace.QName` | `qname_getLinkStatus` QName of the `bpws:getVariableData` function.
`javax.xml.namespace.QName` | `qname_getVariableData` QName of the `bpws:getVariableData` function.
`javax.xml.namespace.QName` | `qname_getVariableProperty` QName of the `bpws:getVariableData` function.
`java.util.HashMap<java.lang.String,OScope.Variable>` | `vars` Map from query name to variable declaration.
`java.lang.String` | `xpath`
`protected java.util.HashMap<java.net.URI,OXslSheet>` | `xslSheets`

Fields inherited from class org.apache.ode.bpel.o.OLValueExpression
`insertMissingData`

Fields inherited from class org.apache.ode.bpel.o.OExpression
`expressionLanguage`

Fields inherited from class org.apache.ode.bpel.o.OBase
`debugInfo`

Constructor Summary
`OXPath10Expression(OProcess owner, javax.xml.namespace.QName qname_getVariableData, javax.xml.namespace.QName qname_getVariableProperty, javax.xml.namespace.QName qname_getLinkStatus)`

Method Summary
`void` | `addGetVariableDataSig(java.lang.String varname, java.lang.String partname, java.lang.String location, OXPath10Expression.OSigGetVariableData compiled)` Add a compiled representation for a certain `bpws:getVariableData(...)` call.
`OScope.Variable` | `getVariable()`
`OXslSheet` | `getXslSheet(java.net.URI projectRelativeXslUri)`
`OXPath10Expression.OSigGetVariableData` | `resolveGetVariableDataSig(java.lang.String varname, java.lang.String partname, java.lang.String location)` Get the compiled representation of a certain `bpws:getVariableData(...)` call.
`void` | `setXslSheet(java.net.URI projectRelativeXslUri, OXslSheet xslSheet)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.o.OExpression
`getExpressionLanguage`

Methods inherited from class org.apache.ode.bpel.o.OBase
`dehydrate, equals, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### vars

    public java.util.HashMap<java.lang.String,OScope.Variable> vars

  Map from query name to variable declaration.

### properties

    public final java.util.HashMap<java.lang.String,OProcess.OProperty> properties

### links

    public final java.util.HashMap<java.lang.String,OLink> links

### xpath

    public java.lang.String xpath

### namespaceCtx

    public NSContext namespaceCtx

### qname_getVariableData

    public final javax.xml.namespace.QName qname_getVariableData

  QName of the `bpws:getVariableData` function.

### qname_getVariableProperty

    public final javax.xml.namespace.QName qname_getVariableProperty

  QName of the `bpws:getVariableData` function.

### qname_getLinkStatus

    public final javax.xml.namespace.QName qname_getLinkStatus

  QName of the `bpws:getVariableData` function.

### xslSheets

    protected final java.util.HashMap<java.net.URI,OXslSheet> xslSheets

Constructor Detail

### OXPath10Expression

    public OXPath10Expression(OProcess owner,
                              javax.xml.namespace.QName qname_getVariableData,
                              javax.xml.namespace.QName qname_getVariableProperty,
                              javax.xml.namespace.QName qname_getLinkStatus)

Method Detail

### resolveGetVariableDataSig

    public OXPath10Expression.OSigGetVariableData resolveGetVariableDataSig(java.lang.String varname,
                                                                            java.lang.String partname,
                                                                            java.lang.String location)

  Get the compiled representation of a certain `bpws:getVariableData(...)` call.

  Parameters:
    `varname` - variable name
    `partname` - part name
    `location` - location query
  Returns:
    compiled representation, or `null` if none found

### addGetVariableDataSig

    public void addGetVariableDataSig(java.lang.String varname,
                                      java.lang.String partname,
                                      java.lang.String location,
                                      OXPath10Expression.OSigGetVariableData compiled)

  Add a compiled representation for a certain `bpws:getVariableData(...)` call.

  Parameters:
    `varname` - variable name
    `partname` - part name
    `location` - location query
    `compiled` - compiled representation

### setXslSheet

    public void setXslSheet(java.net.URI projectRelativeXslUri,
                            OXslSheet xslSheet)

### getXslSheet

    public OXslSheet getXslSheet(java.net.URI projectRelativeXslUri)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OBase`

### getVariable

    public OScope.Variable getVariable()

  Specified by:
    `getVariable` in class `OLValueExpression`
  See Also:
    `OLValueExpression.getVariable()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD